package com.yeejoin.amos.fas.business.feign;

import com.yeejoin.amos.component.feign.model.FeignClientResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;


/**
 * @author DELL
 */
@FeignClient(name = "${jcs.fegin.name}", path = "jcs", configuration = {FeignConfiguration.class})
public interface JcsFeign {
    /**
     * 查询用户单位信息
     *
     * @param id 用户id
     * @return ResponseModel<ReginParams.PersonIdentity>
     */
    @GetMapping(value = "/org-person/getUser/{id}")
    FeignClientResult selectById(@PathVariable String id);
}